<% if @query.new_record? %>
    <h2><%=l(:label_issue_plural)%></h2>
    <% set_html_title l(:label_issue_plural) %>
    
    <% form_tag({ :controller => 'queries', :action => 'new' }, :id => 'query_form') do %>
    <%= hidden_field_tag('project_id', @project.id) if @project %>
    <%= render :partial => 'queries/filters', :locals => {:query => @query} %>
    <div class="contextual">
    <%= link_to_remote l(:button_apply), 
                       { :url => { :set_filter => 1 },
                         :update => "content",
                         :with => "Form.serialize('query_form')"
                       }, :class => 'icon icon-edit' %>
                       
    <%= link_to_remote l(:button_clear),
                       { :url => { :set_filter => 1 }, 
                         :update => "content",
                       }, :class => 'icon icon-reload'  %>
                       
    <% if current_role && current_role.allowed_to?(:save_queries) %>
    <%= link_to l(:button_save), {}, :onclick => "$('query_form').submit(); return false;", :class => 'icon icon-save' %>
    <% end %>
    </div>
    <br />
    &nbsp;
    <% end %>
<% else %>
    <div class="contextual">
    <% if @query.editable_by?(User.current) %>
    <%= link_to l(:button_edit), {:controller => 'queries', :action => 'edit', :id => @query}, :class => 'icon icon-edit' %>
    <%= link_to l(:button_delete), {:controller => 'queries', :action => 'destroy', :id => @query}, :confirm => l(:text_are_you_sure), :method => :post, :class => 'icon icon-del' %>
    <% end %>
    </div>
    
    <h2><%= @query.name %></h2>
    <div id="query_form"></div>
    <% set_html_title @query.name %>
<% end %>
<%= error_messages_for 'query' %>
<% if @query.valid? %>
<% if @issues.empty? %>
<p class="nodata"><%= l(:label_no_data) %></p>
<% else %>
<% form_tag({:controller => 'projects', :action => 'bulk_edit_issues', :id => @project}, :id => 'issues_form', :onsubmit => "if (!checkBulkEdit(this)) {alert('#{l(:notice_no_issue_selected)}'); return false;}" ) do %>	
<%= render :partial => 'issues/list', :locals => {:issues => @issues, :query => @query} %>
<div class="contextual">
<%= l(:label_export_to) %>
<%= link_to 'CSV', {:format => 'csv'}, :class => 'icon icon-csv' %>,
<%= link_to 'PDF', {:format => 'pdf'}, :class => 'icon icon-pdf' %>
</div>
<p><%= pagination_links_full @issue_pages %>
[ <%= @issue_pages.current.first_item %> - <%= @issue_pages.current.last_item %> / <%= @issue_count %> ]</p>
<% end %>
<% end %>
<% end %>

<% content_for :sidebar do %>
    <%= render :partial => 'issues/sidebar' %>
<% end if @project%>

<% content_for :header_tags do %>
    <%= auto_discovery_link_tag(:atom, {:query_id => @query, :format => 'atom', :page => nil, :key => User.current.rss_key}, :title => l(:label_issue_plural)) %>
    <%= auto_discovery_link_tag(:atom, {:action => 'changes', :query_id => @query, :format => 'atom', :page => nil, :key => User.current.rss_key}, :title => l(:label_changes_details)) %>
    <%= javascript_include_tag 'calendar/calendar' %>
    <%= javascript_include_tag "calendar/lang/calendar-#{current_language}.js" %>
    <%= javascript_include_tag 'calendar/calendar-setup' %>
    <%= stylesheet_link_tag 'calendar' %>
    <%= javascript_include_tag 'context_menu' %>
    <%= stylesheet_link_tag 'context_menu' %>
<% end %>

<div id="context-menu" style="display: none;"></div>
<%= javascript_tag 'new ContextMenu({})' %>
